declare_plugin("Harrier-GR7 by Eagle Dynamics",
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
version		 = "1.2.14",		 
state		 = "installed",
info		 = _("Harrier"),
Missions =
	{
		{
			name		    = _("Harrier"),
			dir			    = "Missions",
  		},
	},
LogBook =
	{
		{
			name		= _("Harrier"),
			type		= "Harrier",
		},
	},	
InputProfiles =
{
    ["Harrier"] = current_mod_path .. '/Input/Harrier',
},

}
)
---------------------------------------------------------------------------------------
dofile(current_mod_path..'/Harrier.lua')
	dofile(current_mod_path.."/Views.lua")

make_view_settings('Harrier', ViewSettings, SnapViews)

	

mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/Harrier-CPT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
make_flyable('Harrier', current_mod_path..'/Cockpit/KneeboardLeft/',{self_ID,'Harrier',old = 54}, current_mod_path..'/comm.lua')

plugin_done()-- finish declaration , clear temporal data
